Skip to main content
GET /api/v2/buyer/targeting/dimensions Returns targeting dimensions that have local display-label dictionaries. Campaign constraints store codes; these dictionaries provide the labels and resolver metadata agents need when buyers use names in conversation.

Request

curl "https://api.interchange.io/api/v2/buyer/targeting/dimensions" \
  -H "Authorization: Bearer $SCOPE3_API_KEY"

Response

{
  "locale": "en-US",
  "dimensions": [
    {
      "system": "nielsen_dma",
      "name": "Nielsen DMA",
      "description": "Nielsen Designated Market Area codes used with geo_metros targeting.",
      "locale": "en-US",
      "targetingFields": ["geo_metros", "geo_metros_exclude"],
      "entryCount": 210
    }
  ]
}
Use this endpoint when an agent needs to discover which dimensions can be resolved. Use Resolve targeting dimension text when the buyer gives a localized name such as “LA DMA”.